Package org.apache.lucene.sandbox.search

## Class MultiRangeQuery.RangeClause

- java.lang.Object
- - org.apache.lucene.sandbox.search.MultiRangeQuery.RangeClause

- Enclosing class:
    MultiRangeQuery

      public static final class MultiRangeQuery.RangeClause
      extends Object

  Representation of a single clause in a MultiRangeQuery

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RangeClause​(byte[] lowerValue, byte[] upperValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeClause

          public RangeClause​(byte[] lowerValue,
                             byte[] upperValue)

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`